import { __ } from '@wordpress/i18n';

export const DARK_PALETTES = [
	{
		slug: 'style-1',
		title: __( 'Style 1', 'astra-sites' ),
		colors: [
			'#8E43F0',
			'#7215EA',
			'#FFFFFF',
			'#EEEBF4',
			'#150E1F',
			'#494153',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-2',
		title: __( 'Style 2', 'astra-sites' ),
		colors: [
			'#EF4D48',
			'#D90700',
			'#FFFFFF',
			'#EEEAEC',
			'#2B161B',
			'#3C2F32',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-3',
		title: __( 'Style 3', 'astra-sites' ),
		colors: [
			'#FF42B3',
			'#FF0099',
			'#FFFFFF',
			'#EEEAEC',
			'#2B161B',
			'#3C2F32',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-4',
		title: __( 'Style 4', 'astra-sites' ),
		colors: [
			'#FF6A97',
			'#FA036B',
			'#FFFFFF',
			'#EEEAEC',
			'#2B161B',
			'#3C2F32',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-5',
		title: __( 'Style 5', 'astra-sites' ),
		colors: [
			'#FF7A3D',
			'#FF5100',
			'#FFFFFF',
			'#F1EDEB',
			'#1E1810',
			'#443D3A',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-6',
		title: __( 'Style 6', 'astra-sites' ),
		colors: [
			'#F9C349',
			'#FFB100',
			'#FFFFFF',
			'#F0EFEC',
			'#1E1810',
			'#4D4A46',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-7',
		title: __( 'Style 7', 'astra-sites' ),
		colors: [
			'#30C7B5',
			'#00AC97',
			'#FFFFFF',
			'#F0EFEC',
			'#1E1810',
			'#4D4A46',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-8',
		title: __( 'Style 8', 'astra-sites' ),
		colors: [
			'#1BAE70',
			'#06752E',
			'#FFFFFF',
			'#EBECEB',
			'#14261C',
			'#3D4641',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-9',
		title: __( 'Style 9', 'astra-sites' ),
		colors: [
			'#2FE6FF',
			'#00D0EC',
			'#FFFFFF',
			'#E8EBEC',
			'#101218',
			'#3B4244',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-10',
		title: __( 'Style 10', 'astra-sites' ),
		colors: [
			'#4175FC',
			'#084AF3',
			'#FFFFFF',
			'#E8EBEC',
			'#101218',
			'#3B4244',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
];

export const LIGHT_PALETTES = [
	{
		slug: 'style-1',
		title: __( 'Style 1', 'astra-sites' ),
		colors: [
			'#8E43F0',
			'#6300E2',
			'#150E1F',
			'#584D66',
			'#F3F1F6',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-2',
		title: __( 'Style 2', 'astra-sites' ),
		colors: [
			'#EF4D48',
			'#D90700',
			'#2B161B',
			'#453E3E',
			'#F7F3F5',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-3',
		title: __( 'Style 3', 'astra-sites' ),
		colors: [
			'#FF42B3',
			'#FF0099',
			'#2B161B',
			'#554B4E',
			'#F6F3F5',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-4',
		title: __( 'Style 4', 'astra-sites' ),
		colors: [
			'#FF6A97',
			'#FA036B',
			'#2B161B',
			'#645659',
			'#F8F3F5',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-5',
		title: __( 'Style 5', 'astra-sites' ),
		colors: [
			'#FF7A3D',
			'#FF5100',
			'#1E1810',
			'#575250',
			'#F8F5F4',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-6',
		title: __( 'Style 6', 'astra-sites' ),
		colors: [
			'#F9C349',
			'#FFB100',
			'#1E1810',
			'#62615C',
			'#F8F7F3',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-7',
		title: __( 'Style 7', 'astra-sites' ),
		colors: [
			'#30C7B5',
			'#00AC97',
			'#14261C',
			'#4F5655',
			'#F3F6F3',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-8',
		title: __( 'Style 8', 'astra-sites' ),
		colors: [
			'#1BAE70',
			'#06752E',
			'#14261C',
			'#4E5652',
			'#F4F6F4',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-9',
		title: __( 'Style 9', 'astra-sites' ),
		colors: [
			'#2FC1FF',
			'#08ACF2',
			'#101218',
			'#4C5253',
			'#F3F6F6',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
	{
		slug: 'style-10',
		title: __( 'Style 10', 'astra-sites' ),
		colors: [
			'#4175FC',
			'#084AF3',
			'#101218',
			'#494B51',
			'#F3F5F5',
			'#FFFFFF',
			'#000000',
			'#4B4F58',
			'#F6F7F8',
		],
	},
];
